#include <iostream>

#include "gtkmm/main.h"
#include "gtkmm_dispatcher2.h"
#include "sigc++/adaptors/bind.h"

void foo(std::string text) {
  std::cout << text.c_str() << std::endl;
}

int main(int argc, char *argv[]) {
  Glib::thread_init();
  Gtk::Main myApp(argc, argv);

  sigc::GtkmmDispatcher disp;
  disp.tunnel(sigc::bind(&foo, std::string("hello world")));
}
